Name: 		sysstat
Version: 	11.2.0
Release: 	%mkrel 1
Summary: 	Includes the sar and iostat system monitoring commands
License: 	GPLv2
Group: 		Monitoring
URL: 		http://pagesperso-orange.fr/sebastien.godard/
Source: 	http://pagesperso-orange.fr/sebastien.godard/%{name}-%{version}.tar.xz
Patch0:		sysstat-10.1.2-fix-format-errors.patch

%description
This package provides the sar and iostat commands for the Linux
operating system, similar to their traditional UNIX counterparts.
They enable system monitoring of disk, network, and other IO activity.

%prep
%setup -q
%patch0 -p1 -b .strfmt

%build
export sa_lib_dir=%{_libdir}/sa 
%configure2_5x \
	--disable-file-attr \
	--disable-stripping

make CFLAGS="%{optflags}"


%install
rm -rf %buildroot
%make_install

rm -fr %{buildroot}%{_datadir}/doc/%{name}-%{version}

mkdir -p %{buildroot}/etc/{cron.daily,cron.hourly}

cat > %{buildroot}/etc/cron.daily/%{name} <<EOF
#!/bin/sh

# generate a daily summary of process accounting.
%{_libdir}/sa/sa2 -A &

EOF
chmod +x  %{buildroot}/etc/cron.daily/%{name}

cat > %{buildroot}/etc/cron.hourly/%{name} <<EOF
#!/bin/sh

# snapshot system usage every 10 minutes six times.
%{_libdir}/sa/sa1 600 6 &

EOF
chmod +x  %{buildroot}/etc/cron.hourly/%{name}

rm -fr %{buildroot}%{_prefix}/doc

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGES COPYING CREDITS FAQ README
%config(noreplace) %{_sysconfdir}/cron.hourly/sysstat
%config(noreplace) %{_sysconfdir}/cron.daily/sysstat
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat.ioconf
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat
%{_bindir}/*
%{_libdir}/sa
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
/var/log/sa


%changelog
* Fri Jan 29 2016 bb <bb> 11.2.0-1pclos2016
- update

* Wed Nov 04 2014 bb <bb> 11.1.2-1pclos2014
- update

* Fri Sep 05 2014 bb <bb> 11.0.1-1pclos2014
- update

